## org.eclipse.amp.amf.acore.edit.commands.test
Class ModelConstructionCommandTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.metaabm.tests.BasePersistTest
                  org.eclipse.amp.amf.acore.edit.commands.test.CommandTest
                      org.eclipse.amp.amf.acore.edit.commands.test.ModelConstructionCommandTest

All Implemented Interfaces:
  junit.framework.Test

    public class ModelConstructionCommandTest

extends CommandTest

Field Summary

Fields inherited from class org.eclipse.amp.amf.acore.edit.commands.test.CommandTest
`execOnly, funcAdd, funcEq, funcLog, funcNot, funcNum, lib, library, trace`

Fields inherited from class org.metaabm.tests.BasePersistTest
`doPersist, f, fa, path, persistContext, persistName, redoPersist, referenceCommand, referenceContext, referencePersist, testCommand, testContext, testPersist, undoPersist`

Constructor Summary
`ModelConstructionCommandTest(java.lang.String name)`

Method Summary
`static void` `buildAgents(java.util.List<CommandTransformer> cmds)`
`static void` `buildBasic(java.util.List<CommandTransformer> cmds)`
`static void` `buildRoot(java.util.List<CommandTransformer> cmds)`
`static void` `buildSpace(java.util.List<CommandTransformer> cmds)`
`void` `testAddAgents()`
`void` `testCreateSpace()`
`void` `testCreateSpaceAgentsFirst()`
`void` `testRemoveAgents()`
`void` `testRoot()`

Methods inherited from class org.eclipse.amp.amf.acore.edit.commands.test.CommandTest
`assertEqualNull, execTransform, executeTests, getAdapterFactory, getDomain, isUndo, setAdapterFactory, setDomain, setUp, tearDown`

Methods inherited from class org.metaabm.tests.BasePersistTest
`checkPersist, execTransform, redoTransform, undoTransform`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModelConstructionCommandTest

    public ModelConstructionCommandTest(java.lang.String name)

Method Detail

### buildRoot

    public static void buildRoot(java.util.List<CommandTransformer> cmds)

### buildSpace

    public static void buildSpace(java.util.List<CommandTransformer> cmds)

### buildAgents

    public static void buildAgents(java.util.List<CommandTransformer> cmds)

### buildBasic

    public static void buildBasic(java.util.List<CommandTransformer> cmds)

### testRoot

    public void testRoot()

### testAddAgents

    public void testAddAgents()

### testCreateSpace

    public void testCreateSpace()

### testCreateSpaceAgentsFirst

    public void testCreateSpaceAgentsFirst()

### testRemoveAgents

    public void testRemoveAgents()